VERSION 5.00
Begin VB.Form frmWinNTService 
   Caption         =   "Start, Stop, Pause and get status of NT Services"
   ClientHeight    =   2280
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7500
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2280
   ScaleWidth      =   7500
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Height          =   2280
      Left            =   0
      TabIndex        =   0
      Top             =   -45
      Width           =   7455
      Begin VB.CommandButton cmsClose 
         Caption         =   "&Close"
         Height          =   600
         Left            =   2925
         TabIndex        =   5
         Top             =   1575
         Width           =   1635
      End
      Begin VB.CommandButton cmdServiceStatus 
         Caption         =   "Service Status"
         Height          =   525
         Left            =   5565
         TabIndex        =   4
         Top             =   735
         Width           =   1710
      End
      Begin VB.CommandButton cmdServicePause 
         Caption         =   "Service Pause"
         Height          =   525
         Left            =   3750
         TabIndex        =   3
         Top             =   735
         Width           =   1710
      End
      Begin VB.CommandButton cmdServiceStart 
         Caption         =   "Service Start"
         Height          =   525
         Left            =   1920
         TabIndex        =   2
         Top             =   735
         Width           =   1710
      End
      Begin VB.CommandButton cmdServiceStop 
         Caption         =   "Service Stop"
         Height          =   525
         Left            =   105
         TabIndex        =   1
         Top             =   735
         Width           =   1710
      End
      Begin VB.Label lblCaption 
         BackColor       =   &H000000FF&
         Caption         =   "               Start, Stop, Pause and get status of NT Services"
         BeginProperty Font 
            Name            =   "Comic Sans MS"
            Size            =   9.75
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FF0000&
         Height          =   285
         Left            =   120
         TabIndex        =   6
         Top             =   225
         Width           =   7155
      End
      Begin VB.Line Line1 
         BorderColor     =   &H000000FF&
         BorderWidth     =   4
         X1              =   135
         X2              =   7260
         Y1              =   1470
         Y2              =   1485
      End
   End
End
Attribute VB_Name = "frmWinNTService"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Copyright 1996-2010, Vivek Nigam All Rights Reserved.
' Code contain copyrights by the author.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' You are free to use this code within your own applications,
' but you are expressly forbidden from selling or otherwise
' distributing this source code without prior written consent.
' This includes both posting free demo projects made from this
' code as well as reproducing the code in text or html format.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' #VBCode#************************************************************
   ' * Programmer Name  : Vivek Nigam
   ' * Web Site         :
   ' * E-Mail           : vivek_nigam19@hotmail.com.com
   ' * Date             : 11/08/2004
   ' * Time             : 10:10 AM
   ' * Module Name      : Start, Stop, Pause and get status of NT Services
   ' * Module Filename  : pServiceStatus.vbp
   ' * Procedure Name   :
   ' * Parameters       :
   ' *
   ' **********************************************************************
   ' * Comments         : Start, Stop, Pause and get status of NT Services
   ' *                  : Start a NT Services | Stop a NT Services | Pause a NT Services | Status a NT Services
   ' *                  : Use advapi32.dll to Start, Stop, Pause and get status of NT Services
   ' **********************************************************************
   Dim RetServiceName As String

Public Function ServiceStatus(ComputerName As String, ServiceName As String) As String
    Dim ServiceStat As SERVICE_STATUS
    Dim hSManager As Long
    Dim hService As Long
    Dim hServiceStatus As Long

    ServiceStatus = ""
    hSManager = OpenSCManager(ComputerName, SERVICES_ACTIVE_DATABASE, SC_MANAGER_ALL_ACCESS)
    If hSManager <> 0 Then
        hService = OpenService(hSManager, ServiceName, SERVICE_ALL_ACCESS)
        If hService <> 0 Then
            hServiceStatus = QueryServiceStatus(hService, ServiceStat)
            If hServiceStatus <> 0 Then
                Select Case ServiceStat.dwCurrentState
                Case SERVICE_STOPPED
                    ServiceStatus = "Stopped"
                Case SERVICE_START_PENDING
                    ServiceStatus = "Start Pending"
                Case SERVICE_STOP_PENDING
                    ServiceStatus = "Stop Pending"
                Case SERVICE_RUNNING
                    ServiceStatus = "Running"
                Case SERVICE_CONTINUE_PENDING
                    ServiceStatus = "Coninue Pending"
                Case SERVICE_PAUSE_PENDING
                    ServiceStatus = "Pause Pending"
                Case SERVICE_PAUSED
                    ServiceStatus = "Paused"
                End Select
            End If
            CloseServiceHandle hService
        End If
        CloseServiceHandle hSManager
    End If
End Function

Private Sub cmdServicePause_Click()
    'Usage: the first parameter is the remote computer name,
    'if it is "" the computer is the local computer, the second is
    'the service name.
    If RetServiceName = "" Then
        Call AskParaMeter
    End If
    ServicePause "", RetServiceName
    MsgBox RetServiceName & " service pause successfully", vbOKOnly + vbInformation, App.Title
End Sub

Private Sub cmdServiceStart_Click()
    'Usage: the first parameter is the remote computer name,
    'if it is "" the computer is the local computer, the second is
    'the service name.
    If RetServiceName = "" Then
        Call AskParaMeter
    End If
    ServiceStart "", RetServiceName
    MsgBox RetServiceName & " service started successfully", vbOKOnly + vbInformation, App.Title
End Sub

Private Sub cmdServiceStatus_Click()
    'Usage: the first parameter is the remote computer name,
    'if it is "" the computer is the local computer, the second is
    'the service name.
    If RetServiceName = "" Then
        Call AskParaMeter
    End If
     MsgBox RetServiceName & " service status is : " & ServiceStatus("", Trim(RetServiceName)), vbOKCancel + vbInformation, "Start, Stop, Pause and get status of NT Services"
     'MsgBox RetServiceName & " service stopped successfully", vbOKOnly + vbInformation, App.Title
    'MsgBox ServiceStatus("", "ArielBatch")
End Sub

Private Sub cmdServiceStop_Click()
    'Usage: the first parameter is the remote computer name,
    'if it is "" the computer is the local computer, the second is
    'the service name.
    If RetServiceName = "" Then
        Call AskParaMeter
    End If
    ServiceStop "", RetServiceName
    MsgBox RetServiceName & " service stopped successfully", vbOKOnly + vbInformation, App.Title
End Sub
Public Sub ServicePause(ComputerName As String, ServiceName As String)
    Dim ServiceStatus As SERVICE_STATUS
    Dim hSManager As Long
    Dim hService As Long
    Dim res As Long

    hSManager = OpenSCManager(ComputerName, SERVICES_ACTIVE_DATABASE, SC_MANAGER_ALL_ACCESS)
    If hSManager <> 0 Then
        hService = OpenService(hSManager, ServiceName, SERVICE_ALL_ACCESS)
        If hService <> 0 Then
            res = ControlService(hService, SERVICE_CONTROL_PAUSE, ServiceStatus)
            CloseServiceHandle hService
        End If
        CloseServiceHandle hSManager
    End If
End Sub

Public Sub ServiceStart(ComputerName As String, ServiceName As String)
    Dim ServiceStatus As SERVICE_STATUS
    Dim hSManager As Long
    Dim hService As Long
    Dim res As Long

    hSManager = OpenSCManager(ComputerName, SERVICES_ACTIVE_DATABASE, SC_MANAGER_ALL_ACCESS)
    If hSManager <> 0 Then
        hService = OpenService(hSManager, ServiceName, SERVICE_ALL_ACCESS)
        If hService <> 0 Then
            res = StartService(hService, 0, 0)
            CloseServiceHandle hService
        End If
        CloseServiceHandle hSManager
    End If
End Sub

Public Sub ServiceStop(ComputerName As String, ServiceName As String)
    Dim ServiceStatus As SERVICE_STATUS
    Dim hSManager As Long
    Dim hService As Long
    Dim res As Long

    hSManager = OpenSCManager(ComputerName, SERVICES_ACTIVE_DATABASE, SC_MANAGER_ALL_ACCESS)
    If hSManager <> 0 Then
        hService = OpenService(hSManager, ServiceName, SERVICE_ALL_ACCESS)
        If hService <> 0 Then
            res = ControlService(hService, SERVICE_CONTROL_STOP, ServiceStatus)
            CloseServiceHandle hService
        End If
        CloseServiceHandle hSManager
    End If
End Sub

Private Sub cmsClose_Click()
  Unload Me
  End
End Sub
Public Sub AskParaMeter()
'// This Procedure will only Call to find the parameter
    Dim Message, Title, Default
    Message = "Enter A Service Name"   ' Set prompt.
    Title = "Start,Stop,Pause and get status of NT Services"   ' Set title.
    Default = "ArielBatch"   ' Set default.
    ' Display message, title, and default value.
    RetServiceName = InputBox(Message, Title, Default)
End Sub
